<?php

namespace saul\ComunBundle\Repository;

/**
 * BarrioRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class BarrioRepository extends \Doctrine\ORM\EntityRepository
{
    function consultar($idcomuna = null)
    {
        $em = $this->getEntityManager();
        $dql  ="SELECT b.idbarrio, b.codigo, b.nombre, c.codigo as comuna
                FROM ComunBundle:Barrio b
                LEFT JOIN ComunBundle:Comuna c WITH b.idcomuna=c.idcomuna
                WHERE 1=1 ";
        if($idcomuna){
            $dql  .="AND c.codigo=:idcomuna";
        }
        $query = $em->createQuery($dql);
        if($idcomuna){
            $query->setParameter('idcomuna', $idcomuna);
        }        
        return $query->getResult();
    }
    
    function consultarPorClave($clave)
    {
        $em = $this->getEntityManager();
        $dql  ="SELECT b.idbarrio, b.codigo, b.nombre, c.codigo as comuna
                FROM ComunBundle:Barrio b
                LEFT JOIN ComunBundle:Comuna c WITH b.idcomuna=c.idcomuna
                WHERE 1=1 ";
        if($clave){
            $dql  .="AND b.nombre like '%$clave%'";
        }
        $query = $em->createQuery($dql);
//        if($clave){
//            $query->setParameter('clave', $clave);
//        }        
        return $query->getResult();
    }
    
}
